Subject: Re: bug#40125: Problem with guix offload: Remote channel closed

From: Mikael Djurfeldt <[email-masked]>
Date: Mon, 23 Mar 2020 00:28:04 +0100

On Mon, Mar 23, 2020 at 12:12 AM Mikael Djurfeldt <[email-masked]>
wrote:

>
> Just as a test, I enabled user specified environments in sshd_config (such
> that ssh reads .ssh/environment) and added the following there:
>
>
> PATH=/gnu/store/0awhym5h0m890n0wq87y0dxznh14rk88-guile-next-3.0.1/bin:/home/guix/.guix-profile/bin:/usr/local/bin:/usr/bin:/bin:/usr/games
>
> GUILE_LOAD_COMPILED_PATH=/gnu/store/nkh7c4ygaivfxdq3zhccl4a5qxrn6s88-guix-module-union/lib/guile/3.0/site-ccache:/gnu/store/0awhym5h0m890n0wq87y0dxznh14rk88-guile-next-3.0.1/lib/guile/3.0/ccache
>
> GUILE_LOAD_PATH=/gnu/store/nkh7c4ygaivfxdq3zhccl4a5qxrn6s88-guix-module-union/share/guile/site/3.0:/gnu/store/0awhym5h0m890n0wq87y0dxznh14rk88-guile-next-3.0.1/share/guile/3.0
> GUIX_PROFILE=/home/guix/.guix-profile
> GUIX_LOCPATH=/home/guix/.guix-profile/lib/locale
>
> This made the offload test work.
>
> Crucial here is the PATH to guile 3.0.1 as well as the GUILE_LOAD_* paths.
>
> But how are these *supposed* to be setup on the build host???
>

Just to be clear:

You're right that this can be done without .ssh/environment and just using
a modified .bashrc.

But how am I supposed to retrieve all those PATHS in a way that doesn't
have to be modified as I update guix?